## org.beepcore.beep.profile.sasl
Class SASLSessionTable

    java.lang.Object
      org.beepcore.beep.profile.sasl.SASLSessionTable

All Implemented Interfaces:
  java.util.EventListener, org.beepcore.beep.core.event.SessionListener

public class SASLSessionTable
extends java.lang.Object
implements org.beepcore.beep.core.event.SessionListener

This class is provided to give the SASL profiles a way to record what other peers have authenticated to the peer they're serving.

Method Summary
`protected void` `addEntry(org.beepcore.beep.core.Session session)` Method addEntry, adds information to the SASLSession table to track what sessions have been authenicated with what critera.
`void` `greetingReceived(org.beepcore.beep.core.event.SessionEvent e)`
`protected void` `removeEntry(org.beepcore.beep.core.Session session)` Method removeEntry removes SASL/Authenticator data from the SASLSession table.
`void` `sessionClosed(org.beepcore.beep.core.event.SessionEvent event)` Method receiveEvent is implemented here so the SASLSessionTable can receive events when a session is terminated (so that it can update its information about what sessions are actively authenticated etc.
`void` `sessionReset(org.beepcore.beep.core.event.SessionResetEvent event)` Method receiveEvent is implemented here so the SASLSessionTable can receive events when a session is reset (so that it can update its information about what sessions are actively authenticated etc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addEntry

    protected void addEntry(org.beepcore.beep.core.Session session)
                     throws SASLException

  Method addEntry, adds information to the SASLSession table to track what sessions have been authenicated with what critera.

  Throws:
    `SASLException`

### removeEntry

    protected void removeEntry(org.beepcore.beep.core.Session session)
                        throws SASLException

  Method removeEntry removes SASL/Authenticator data from the SASLSession table. Called when sessions terminate, or when credentials are 'cleared'.

  Throws:
    `SASLException`

### greetingReceived

    public void greetingReceived(org.beepcore.beep.core.event.SessionEvent e)

  Specified by:
    `greetingReceived` in interface `org.beepcore.beep.core.event.SessionListener`

### sessionClosed

    public void sessionClosed(org.beepcore.beep.core.event.SessionEvent event)

  Method receiveEvent is implemented here so the SASLSessionTable can receive events when a session is terminated (so that it can update its information about what sessions are actively authenticated etc.

  Specified by:
    `sessionClosed` in interface `org.beepcore.beep.core.event.SessionListener`
  Parameters:
    `event` - event the SessionEvent used.

### sessionReset

    public void sessionReset(org.beepcore.beep.core.event.SessionResetEvent event)

  Method receiveEvent is implemented here so the SASLSessionTable can receive events when a session is reset (so that it can update its information about what sessions are actively authenticated etc.

  Specified by:
    `sessionReset` in interface `org.beepcore.beep.core.event.SessionListener`
  Parameters:
    `event` - event the SessionResetEvent used.

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.